Component({
    options: {
        addGlobalClass: true
    },
    properties: {
        item: {
            type: Object
        },
        onDelete: {
            type: Function
        },
        isDelete: {
            type: Boolean
        }
    },
    lifetimes: {
        attached: function () {
            getApp().globalData.Language.getLanguagePackage(this)
            this.setData({
                siteid: wx.getStorageSync('userMsg').siteid
            })
        }
    },
    methods: {
        deleteItem() {
            this.triggerEvent("onDelete", this.data.item);
        }
    }
})